# appmarketapi-rest

Appmarketapi - the Ruby gem for the appmarketapi.proto

No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: version not set
- Package version: 0.0.1
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build appmarketapi-rest.gemspec
```

Then either install the gem locally:

```shell
gem install ./appmarketapi-rest-0.0.1.gem
```
(for development, run `gem install --dev ./appmarketapi-rest-0.0.1.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'appmarketapi-rest', '~> 0.0.1'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'appmarketapi-rest', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'appmarketapi-rest'

api_instance = Appmarketapi::AppMarketAPIApi.new

application_id = 'application_id_example' # String | 

body = Appmarketapi::AppmarketapiAuthorizeApplicationRequest.new # AppmarketapiAuthorizeApplicationRequest | 


begin
  result = api_instance.authorize_application(application_id, body)
  p result
rescue Appmarketapi::ApiError => e
  puts "Exception when calling AppMarketAPIApi->authorize_application: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*Appmarketapi::AppMarketAPIApi* | [**authorize_application**](docs/AppMarketAPIApi.md#authorize_application) | **POST** /v1/applications/{application_id}/authorize | 
*Appmarketapi::AppMarketAPIApi* | [**create_application**](docs/AppMarketAPIApi.md#create_application) | **POST** /v1/applications | 
*Appmarketapi::AppMarketAPIApi* | [**create_developer**](docs/AppMarketAPIApi.md#create_developer) | **POST** /v1/developers | 
*Appmarketapi::AppMarketAPIApi* | [**deauthorize_application**](docs/AppMarketAPIApi.md#deauthorize_application) | **POST** /v1/applications/{application_id}/deauthorize | 
*Appmarketapi::AppMarketAPIApi* | [**get_application**](docs/AppMarketAPIApi.md#get_application) | **GET** /v1/applications/{application_id} | 
*Appmarketapi::AppMarketAPIApi* | [**get_application_id**](docs/AppMarketAPIApi.md#get_application_id) | **GET** /v1/application/oauth2/{access_token} | 
*Appmarketapi::AppMarketAPIApi* | [**get_applications**](docs/AppMarketAPIApi.md#get_applications) | **GET** /v1/applications | 
*Appmarketapi::AppMarketAPIApi* | [**update_application**](docs/AppMarketAPIApi.md#update_application) | **PATCH** /v1/applications/{application_id} | 


## Documentation for Models

 - [Appmarketapi::AppmarketapiApplication](docs/AppmarketapiApplication.md)
 - [Appmarketapi::AppmarketapiApplicationCategories](docs/AppmarketapiApplicationCategories.md)
 - [Appmarketapi::AppmarketapiApplicationFlowImages](docs/AppmarketapiApplicationFlowImages.md)
 - [Appmarketapi::AppmarketapiApplicationIcon](docs/AppmarketapiApplicationIcon.md)
 - [Appmarketapi::AppmarketapiApplicationMode](docs/AppmarketapiApplicationMode.md)
 - [Appmarketapi::AppmarketapiApplicationPromotion](docs/AppmarketapiApplicationPromotion.md)
 - [Appmarketapi::AppmarketapiApplicationSupportedPlatforms](docs/AppmarketapiApplicationSupportedPlatforms.md)
 - [Appmarketapi::AppmarketapiApplicationTestUsers](docs/AppmarketapiApplicationTestUsers.md)
 - [Appmarketapi::AppmarketapiAuthorizeApplicationRequest](docs/AppmarketapiAuthorizeApplicationRequest.md)
 - [Appmarketapi::AppmarketapiAuthorizeApplicationResponse](docs/AppmarketapiAuthorizeApplicationResponse.md)
 - [Appmarketapi::AppmarketapiCategory](docs/AppmarketapiCategory.md)
 - [Appmarketapi::AppmarketapiCreateApplicationRequest](docs/AppmarketapiCreateApplicationRequest.md)
 - [Appmarketapi::AppmarketapiCreateApplicationResponse](docs/AppmarketapiCreateApplicationResponse.md)
 - [Appmarketapi::AppmarketapiCreateDeveloperRequest](docs/AppmarketapiCreateDeveloperRequest.md)
 - [Appmarketapi::AppmarketapiCreateDeveloperResponse](docs/AppmarketapiCreateDeveloperResponse.md)
 - [Appmarketapi::AppmarketapiCurrentApplicationMode](docs/AppmarketapiCurrentApplicationMode.md)
 - [Appmarketapi::AppmarketapiDeauthorizeApplicationRequest](docs/AppmarketapiDeauthorizeApplicationRequest.md)
 - [Appmarketapi::AppmarketapiDeauthorizeApplicationResponse](docs/AppmarketapiDeauthorizeApplicationResponse.md)
 - [Appmarketapi::AppmarketapiDeveloper](docs/AppmarketapiDeveloper.md)
 - [Appmarketapi::AppmarketapiExtendedApplication](docs/AppmarketapiExtendedApplication.md)
 - [Appmarketapi::AppmarketapiFlowImage](docs/AppmarketapiFlowImage.md)
 - [Appmarketapi::AppmarketapiGetApplicationIdResponse](docs/AppmarketapiGetApplicationIdResponse.md)
 - [Appmarketapi::AppmarketapiGetApplicationResponse](docs/AppmarketapiGetApplicationResponse.md)
 - [Appmarketapi::AppmarketapiGetApplicationsResponse](docs/AppmarketapiGetApplicationsResponse.md)
 - [Appmarketapi::AppmarketapiPlatform](docs/AppmarketapiPlatform.md)
 - [Appmarketapi::AppmarketapiSectionError](docs/AppmarketapiSectionError.md)
 - [Appmarketapi::AppmarketapiUpdateApplicationMetadata](docs/AppmarketapiUpdateApplicationMetadata.md)
 - [Appmarketapi::AppmarketapiUpdateApplicationRequest](docs/AppmarketapiUpdateApplicationRequest.md)
 - [Appmarketapi::AppmarketapiUpdateApplicationResponse](docs/AppmarketapiUpdateApplicationResponse.md)
 - [Appmarketapi::AppmarketapiUser](docs/AppmarketapiUser.md)


## Documentation for Authorization

 All endpoints do not require authorization.

