# Appmarketapi::AppMarketAPIApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**authorize_application**](AppMarketAPIApi.md#authorize_application) | **POST** /v1/applications/{application_id}/authorize | 
[**create_application**](AppMarketAPIApi.md#create_application) | **POST** /v1/applications | 
[**create_developer**](AppMarketAPIApi.md#create_developer) | **POST** /v1/developers | 
[**deauthorize_application**](AppMarketAPIApi.md#deauthorize_application) | **POST** /v1/applications/{application_id}/deauthorize | 
[**get_application**](AppMarketAPIApi.md#get_application) | **GET** /v1/applications/{application_id} | 
[**get_application_id**](AppMarketAPIApi.md#get_application_id) | **GET** /v1/application/oauth2/{access_token} | 
[**get_applications**](AppMarketAPIApi.md#get_applications) | **GET** /v1/applications | 
[**update_application**](AppMarketAPIApi.md#update_application) | **PATCH** /v1/applications/{application_id} | 


# **authorize_application**
> AppmarketapiAuthorizeApplicationResponse authorize_application(application_id, body)



### Example
```ruby
# load the gem
require 'appmarketapi-rest'

api_instance = Appmarketapi::AppMarketAPIApi.new

application_id = 'application_id_example' # String | 

body = Appmarketapi::AppmarketapiAuthorizeApplicationRequest.new # AppmarketapiAuthorizeApplicationRequest | 


begin
  result = api_instance.authorize_application(application_id, body)
  p result
rescue Appmarketapi::ApiError => e
  puts "Exception when calling AppMarketAPIApi->authorize_application: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **application_id** | **String**|  | 
 **body** | [**AppmarketapiAuthorizeApplicationRequest**](AppmarketapiAuthorizeApplicationRequest.md)|  | 

### Return type

[**AppmarketapiAuthorizeApplicationResponse**](AppmarketapiAuthorizeApplicationResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **create_application**
> AppmarketapiCreateApplicationResponse create_application(body)



### Example
```ruby
# load the gem
require 'appmarketapi-rest'

api_instance = Appmarketapi::AppMarketAPIApi.new

body = Appmarketapi::AppmarketapiCreateApplicationRequest.new # AppmarketapiCreateApplicationRequest | 


begin
  result = api_instance.create_application(body)
  p result
rescue Appmarketapi::ApiError => e
  puts "Exception when calling AppMarketAPIApi->create_application: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**AppmarketapiCreateApplicationRequest**](AppmarketapiCreateApplicationRequest.md)|  | 

### Return type

[**AppmarketapiCreateApplicationResponse**](AppmarketapiCreateApplicationResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **create_developer**
> AppmarketapiCreateDeveloperResponse create_developer(body)



### Example
```ruby
# load the gem
require 'appmarketapi-rest'

api_instance = Appmarketapi::AppMarketAPIApi.new

body = Appmarketapi::AppmarketapiCreateDeveloperRequest.new # AppmarketapiCreateDeveloperRequest | 


begin
  result = api_instance.create_developer(body)
  p result
rescue Appmarketapi::ApiError => e
  puts "Exception when calling AppMarketAPIApi->create_developer: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**AppmarketapiCreateDeveloperRequest**](AppmarketapiCreateDeveloperRequest.md)|  | 

### Return type

[**AppmarketapiCreateDeveloperResponse**](AppmarketapiCreateDeveloperResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **deauthorize_application**
> AppmarketapiDeauthorizeApplicationResponse deauthorize_application(application_id, body)



### Example
```ruby
# load the gem
require 'appmarketapi-rest'

api_instance = Appmarketapi::AppMarketAPIApi.new

application_id = 'application_id_example' # String | 

body = Appmarketapi::AppmarketapiDeauthorizeApplicationRequest.new # AppmarketapiDeauthorizeApplicationRequest | 


begin
  result = api_instance.deauthorize_application(application_id, body)
  p result
rescue Appmarketapi::ApiError => e
  puts "Exception when calling AppMarketAPIApi->deauthorize_application: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **application_id** | **String**|  | 
 **body** | [**AppmarketapiDeauthorizeApplicationRequest**](AppmarketapiDeauthorizeApplicationRequest.md)|  | 

### Return type

[**AppmarketapiDeauthorizeApplicationResponse**](AppmarketapiDeauthorizeApplicationResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **get_application**
> AppmarketapiGetApplicationResponse get_application(application_id, opts)



### Example
```ruby
# load the gem
require 'appmarketapi-rest'

api_instance = Appmarketapi::AppMarketAPIApi.new

application_id = 'application_id_example' # String | 

opts = { 
  user_id: 'user_id_example', # String | 
  user_token: 'user_token_example' # String | 
}

begin
  result = api_instance.get_application(application_id, opts)
  p result
rescue Appmarketapi::ApiError => e
  puts "Exception when calling AppMarketAPIApi->get_application: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **application_id** | **String**|  | 
 **user_id** | **String**|  | [optional] 
 **user_token** | **String**|  | [optional] 

### Return type

[**AppmarketapiGetApplicationResponse**](AppmarketapiGetApplicationResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **get_application_id**
> AppmarketapiGetApplicationIdResponse get_application_id(access_token)



### Example
```ruby
# load the gem
require 'appmarketapi-rest'

api_instance = Appmarketapi::AppMarketAPIApi.new

access_token = 'access_token_example' # String | 


begin
  result = api_instance.get_application_id(access_token)
  p result
rescue Appmarketapi::ApiError => e
  puts "Exception when calling AppMarketAPIApi->get_application_id: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **access_token** | **String**|  | 

### Return type

[**AppmarketapiGetApplicationIdResponse**](AppmarketapiGetApplicationIdResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **get_applications**
> AppmarketapiGetApplicationsResponse get_applications(opts)



### Example
```ruby
# load the gem
require 'appmarketapi-rest'

api_instance = Appmarketapi::AppMarketAPIApi.new

opts = { 
  user_id: 'user_id_example', # String | 
  user_token: 'user_token_example', # String | 
  top_rated_limit: 56 # Integer | 
}

begin
  result = api_instance.get_applications(opts)
  p result
rescue Appmarketapi::ApiError => e
  puts "Exception when calling AppMarketAPIApi->get_applications: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **user_id** | **String**|  | [optional] 
 **user_token** | **String**|  | [optional] 
 **top_rated_limit** | **Integer**|  | [optional] 

### Return type

[**AppmarketapiGetApplicationsResponse**](AppmarketapiGetApplicationsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **update_application**
> AppmarketapiUpdateApplicationResponse update_application(application_id, body)



### Example
```ruby
# load the gem
require 'appmarketapi-rest'

api_instance = Appmarketapi::AppMarketAPIApi.new

application_id = 'application_id_example' # String | 

body = Appmarketapi::AppmarketapiUpdateApplicationRequest.new # AppmarketapiUpdateApplicationRequest | 


begin
  result = api_instance.update_application(application_id, body)
  p result
rescue Appmarketapi::ApiError => e
  puts "Exception when calling AppMarketAPIApi->update_application: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **application_id** | **String**|  | 
 **body** | [**AppmarketapiUpdateApplicationRequest**](AppmarketapiUpdateApplicationRequest.md)|  | 

### Return type

[**AppmarketapiUpdateApplicationResponse**](AppmarketapiUpdateApplicationResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



